{% extends "bases/modelo.html" %}
{% load static %}
{% load mask_email %}

{% block info%}
{% endblock %}

{% block conteudo %}
<div class="container">
<div class="d-grid gap-2 px-2 mx-auto my-4" style="max-width: 540px;">
    <div class="card text-center bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
    box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">
    
        <div class="card-body">
            <i class="fas fa-paw fa-lg"></i>
            <h5 class="card-title">Pesquisar e Filtrar</h5>
            <form class="">
                <div class="row">
                    <div class="col">
                        <label for="nome_animal"><strong>Nome Animal</strong></label>
                        <input class="form-control me-2" type="search" name="nome_animal" placeholder="Ex: Bolota" aria-label="Search">
                    </div>
                    <div class="col">
                        <label for="nome_animal"><strong>Nome do Usuario do Dono</strong></label>
                        <input class="form-control me-2" type="search" name="nome_dono" placeholder="Ex: melis" aria-label="Search">
                    </div>
                </div>


                <label for="nome_animal"><strong>Email Dono</strong></label>
                <input class="form-control me-2" type="search" name="email_dono" placeholder="Ex: rogerio@gmail.com" aria-label="Search">

                <div class="row">
                    <div class="col">
                        <label for="nome_animal"><strong>Primeiro nome do Dono</strong></label>
                        <input class="form-control me-2" type="search" name="primeiro_nome" placeholder="Ex: Maria" aria-label="Search">        
                    </div>
                    <div class="col">
                        <label for="nome_animal"><strong>Sobrenome do Dono</strong></label>
                        <input class="form-control me-2" type="search" name="segundo_nome" placeholder="Ex: Santos" aria-label="Search">
                    </div>
                </div>

                <div class="row">
                    <div class="col">
                        <label for="nome_animal"><strong>Coloração</strong></label>
                        <input class="form-control me-2" type="search" name="animal_coloracao" placeholder="Ex: Caramelo" aria-label="Search">
                    </div>
                    <div class="col">
                        <label for="nome_animal"><strong>Especie</strong></label>
                        <input class="form-control me-2" type="search" name="animal_especie" placeholder="Ex: Cachorro" aria-label="Search">
                    </div>
                </div>
                
                <button class="btn btn-block btn-success w-100 my-3" type="submit">Pesquisar</button>
            </form>

        </div>
    </div>
</div>

<div class="card text-center bg-white my-4 bg-opacity-50" style="border: #ffffff; border-radius: 1;
            box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">
<div class="table-responsive"> 
    <table class="table table-striped">
        <thead class="thead-dark">
            <tr>
            <th scope="col">Detalhes</th>
            <th scope="col">Nome Animal</th>
            <th scope="col">Cor/Pelagem Animal</th>
            <th scope="col">Genero</th>
            <th scope="col">Especie</th>
            <th scope="col">Raça</th>
            <th scope="col">Data Nascimento Animal</th>
            <th scope="col">Nome Usuario do Dono</th>
            <th scope="col">Dono Email</th>
            <th scope="col">Dono Nome Completo</th>            
            </tr>
        </thead>
    <tbody>
    {% for animal in animals %}
        <tr>
        <td><button class="btn btn-small btn-success"><i class='fas fa-paw fa-lg' data-toggle="tooltip"
                title="Editar" onclick="location.href='/veterinario/animal/{{animal.id}}'"></i>
            </button>    
        </td>
        <td>{{ animal.nome }}</td>
        <td>{{ animal.coloracao }} </td>
        <td>{{ animal.genero }} </td>
        <td>{{ animal.especie }} </td>
        <td>{{ animal.raca }} </td>
        <td>{{ animal.data_nasc }} </td>
        <td>{{ animal.dono.username  }} </td>
        <td>{{ animal.dono.email|mask_email }} </td>
        <td>{{ animal.dono.first_name  }} {{animal.dono.last_name}}</td>

    {% empty %}
</tbody>
    <td>None<td>
    <td>Nenhuma vacina registrada.</td>
    {% endfor %}
    </table>
</div>
</div>
</div>


</div>
</div>

{% endblock %}